<?php

namespace Sit\Package\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PackageTransformer extends TransformerAbstract
{
    public function transform(\Sit\Package\Models\Package $package)
    {
        return [
            'id'                => $package->getRouteKey(),
            'key'               => [
                'public'    => $package->getPublicKey(),
                'route'     => $package->getRouteKey(),
            ], 
            '2019'              => $package->2019,
            'id'                => $package->id,
            'title'             => $package->title,
            'details'           => $package->details,
            'category_id'       => $package->category_id,
            'image'             => $package->image,
            'images'            => $package->images,
            'slug'              => $package->slug,
            'subtitle'          => $package->subtitle,
            'url'               => $package->url,
            'published'         => $package->published,
            'status'            => $package->status,
            'user_id'           => $package->user_id,
            'user_type'         => $package->user_type,
            'upload_folder'     => $package->upload_folder,
            'deleted_at'        => $package->deleted_at,
            'created_at'        => $package->created_at,
            'updated_at'        => $package->updated_at,
            '10)'               => $package->10),
            'url'               => [
                'public'    => trans_url('package/'.$package->getPublicKey()),
                'user'      => guard_url('package/package/'.$package->getRouteKey()),
            ], 
            'status'            => trans('app.'.$package->status),
            'created_at'        => format_date($package->created_at),
            'updated_at'        => format_date($package->updated_at),
        ];
    }
}