<?php

namespace Sit\Package\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PackagesCategoryTransformer extends TransformerAbstract
{
    public function transform(\Sit\Package\Models\PackagesCategory $packages_category)
    {
        return [
            'id'                => $packages_category->getRouteKey(),
            'key'               => [
                'public'    => $packages_category->getPublicKey(),
                'route'     => $packages_category->getRouteKey(),
            ], 
            '2019'              => $packages_category->2019,
            'id'                => $packages_category->id,
            'name'              => $packages_category->name,
            'slug'              => $packages_category->slug,
            'status'            => $packages_category->status,
            'user_id'           => $packages_category->user_id,
            'user_type'         => $packages_category->user_type,
            'upload_folder'     => $packages_category->upload_folder,
            'deleted_at'        => $packages_category->deleted_at,
            'created_at'        => $packages_category->created_at,
            'updated_at'        => $packages_category->updated_at,
            '10)'               => $packages_category->10),
            'url'               => [
                'public'    => trans_url('package/'.$packages_category->getPublicKey()),
                'user'      => guard_url('package/packages_category/'.$packages_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$packages_category->status),
            'created_at'        => format_date($packages_category->created_at),
            'updated_at'        => format_date($packages_category->updated_at),
        ];
    }
}